;(function(){
	function tabSwitcher( e ){
		var tabsParent = $( this ).closest( '.module.gallery.full' );

		$( '.active', tabsParent ).removeClass( 'active' );
		$( '.target', tabsParent ).removeClass( 'target' );

		$( this.parentNode ).addClass( 'active' );
		$( this.hash.replace( /anch-/,'' ) ).addClass( 'target' );

		this.hideFocus=1;
		//e.preventDefault();
	}

	// homepage slideshow
	if ( $( '.slideshow' ).length ) {
		$( '.slideshow' ).cycle( {
			'slideExpr'	: '.slide',
			'timeout'	: 8000,
			'speed'		: 1500
		} );
	}

	// gallery slider
	$('.module.gallery.full header').append('<div class="photoNav"><img src="/gfx/arrRightWhite1.png" alt="w prawo" class="next"/><img src="/gfx/arrLeftWhite1.png" alt="w lewo" class="prev inactive" /></div>')

	$('.module.gallery.full header .thumbsWrapper').serialScroll({
		items:'li',
		prev:'.module.gallery.full header img.prev',
		next:'.module.gallery.full header img.next',
		step:3,
		exclude:2,
		duration:1000,
		cycle:false
	});

	$( '.thumbsWrapper a' ).click( tabSwitcher );

	// newsletter form
	$( '#formNewsletter' ).validate( {
		errorElement: 'strong',
		errorPlacement: function( error, element ) {
			error.appendTo( $( 'label[for=' + element.attr( 'id' ) + ']' ) );
		},
	 
		rules: {
			'newsletter[email]': {
				email: true,
				required: true
			}
		}
	} );

})();
